%define name		dropbox-service-menu
%define pname		DropboxServiceMenu
%define version		0.16.1
%define release		%mkrel 1

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		KDE Service Menu for Dropbox
URL:			http://kde-apps.org/content/show.php/Dropbox+ServiceMenu?content=124416
Group:			Graphical desktop/KDE
License:		GPL
Source:			124416-%{pname}-%{version}.tar.gz
BuildArch:		noarch

Requires:		dropbox
Requires:		recode
Requires:		sqlite3-tools
Requires:		python-m2crypto
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}

%description
Dropbox ServiceMenu is a servicemenu which allows easy access to most of 
Dropbox features. It uses Dropbox CLI to generate public urls, and pyndexer 
to allow sharing directories in public folder.

Features:
     * Copy Public URL to clipboard
     * Share folder (via web browser)
     * Copy file/directory to public folder and paste the URL to clipboard
     * Move file/directory to public folder and paste the URL to clipboard
     * Support for sharing directories in public folder using pyndexer ( http://dl.dropbox.com/u/552/pyndexer/index.html )
     * Send generated public url via default email client and GMail (via webbrowser)
     * View previous versions of file (via web browser)
     * Encrypt directory listing with password (only works for directories in public folder)
     * Automatic detection of Dropbox directory path

%prep
%setup -qn %{pname}-%{version}

%install
%__rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/kde4/services/ServiceMenus/
cp -afR dropbox-scripts/ dropbox_*.desktop ${RPM_BUILD_ROOT}%{_datadir}/kde4/services/ServiceMenus/

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/%{name}/
cp -afR Changelog LICENSE THANKS ${RPM_BUILD_ROOT}%{_datadir}/%{name}/

%post
/sbin/ldconfig

#copy service menu script folder and files to user folder
SYSUSERS=`cat /etc/passwd | grep "/home/.*/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
 do INP1=/home/$idx/.kde4/share/kde4/services/ServiceMenus/
if [ -e $INP1 ];then cp -afR /usr/share/kde4/services/ServiceMenus/dropbox-scripts /home/$idx/.kde4/share/kde4/services/ServiceMenus/;cp -afR /usr/share/kde4/services/ServiceMenus/dropbox_*.desktop /home/$idx/.kde4/share/kde4/services/ServiceMenus/; chown $idx.`id -gn $idx` $INP1; fi; done 

%postun
/sbin/ldconfig

#copy service menu script folder and files to user folder
SYSUSERS=`cat /etc/passwd | grep "/home/.*/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
 do INP1=/home/$idx/.kde4/share/kde4/services/ServiceMenus/
if [ -e $INP1 ];then rm -rf /home/$idx/.kde4/share/kde4/services/ServiceMenus/dropbox-scripts;rm -f /home/$idx/.kde4/share/kde4/services/ServiceMenus//dropbox_*.desktop; chown $idx.`id -gn $idx` $INP1; fi; done 

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%_datadir/%{name}
%_datadir/kde4/services/ServiceMenus/dropbox-scripts/
%_datadir/kde4/services/ServiceMenus/dropbox_all.desktop
%_datadir/kde4/services/ServiceMenus/dropbox_directories.desktop
%_datadir/kde4/services/ServiceMenus/dropbox_files.desktop

%changelog
* Sat Dec 22 2012 Maurizio Dal Magro
- Frist Built


